package de.avatic.lcc.model.bulk;

public enum HiddenTableType {
    COUNTRY_HIDDEN_TABLE("ISOCodes"), NODE_HIDDEN_TABLE("Nodes"), ORIGIN_HIDDEN_TABLE("Origins");

    private final String sheetName;

    HiddenTableType(String sheetName) {
        this.sheetName = sheetName;
    }

    public String getSheetName() {
        return sheetName;
    }

    public String getReferenceName() {
        return "ref_"+sheetName.toLowerCase();
    }
}
